ApplicationCommand (Grails 6.0.0)

Package: grails.dev.commands

## [Groovy] Trait ApplicationCommand

- grails.dev.commands.ApplicationCommand

- All Implemented Interfaces and Traits:
    Described, Named

      @groovy.transform.Trait
      trait ApplicationCommand
      extends java.lang.Object
      implements Described, Named

  Represents a command that is run against the org.springframework.context.ApplicationContext

  Authors:
    Graeme Rocher
  Since:
    3.0

- - ### Field Summary

    Fields
    Modifiers | Name | Description
    --- | --- | ---
    `private org.springframework.context.ConfigurableApplicationContext` | `applicationContext` |

  - ### Properties Summary

    Properties
    Type | Name and description
    --- | ---
    `org.springframework.context.ConfigurableApplicationContext` | `applicationContext`

  - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `` | `org.springframework.context.ConfigurableApplicationContext` | `getApplicationContext()`
    `` | `java.lang.String` | `getDescription()`
    `` | `java.lang.String` | `getName()`
    `` | `abstract boolean` | `handle(ExecutionContext executionContext)` Handles the command
    `` | `void` | `setApplicationContext(org.springframework.context.ConfigurableApplicationContext applicationContext)` Sets the application context of the command

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class java.lang.Object` | `java.lang.Object#wait(long), java.lang.Object#wait(long, int), java.lang.Object#wait(), java.lang.Object#equals(java.lang.Object), java.lang.Object#toString(), java.lang.Object#hashCode(), java.lang.Object#getClass(), java.lang.Object#notify(), java.lang.Object#notifyAll()`

- - ### Field Detail

    - #### private org.springframework.context.ConfigurableApplicationContext applicationContext

  - ### Property Detail

    - #### org.springframework.context.ConfigurableApplicationContext applicationContext

  - ### Method Detail

    - #### org.springframework.context.ConfigurableApplicationContext getApplicationContext()

    - #### @java.lang.Override java.lang.String getDescription()

    - #### @java.lang.Override java.lang.String getName()

    - #### abstract boolean handle(ExecutionContext executionContext)

      Handles the command

      Parameters:
        `executionContext` - The execution context
      Returns:
        True if the command was successful

    - #### void setApplicationContext(org.springframework.context.ConfigurableApplicationContext applicationContext)

      Sets the application context of the command

      Parameters:
        `applicationContext` - The application context